关于在idea中spring-boot-starter-parent的version报错,报红问题的解决

城北徐公

在idea中,引入parent时version报错:

<parent>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-starter-parent</artifactId>
<version>2.4.1</version>
</parent>

在网上看了解决方法
1.修改maven的setting文件,配置国内阿里库
2.改变(降低)为某版本(没试,可能有效)
自己本地方法1.没有效果(本来就设的阿里源),2.不想因此改变版本

解决方法:

.m2repositoryorgspringframeworkboot下的所有文件全都删掉,在idea中右键工程->maven->Reload project,OK

原因可能和我之前下载过1.5.9版本有关系,我把springframework\boot\spring-boot-starter-parent里的1.5.9删了没有效果,然后把boot下的全部删除重新down就好了。

阅读 5.6k
1 声望
0 粉丝
0 条评论
1 声望
0 粉丝
文章目录
宣传栏